In any Sitecore 8.2.x when using Experience Analytics when opening up chrome debugging there appears to be an error around TLS, there would be the same error when .Net code will be calling another location.

This is the error log:

Exception System.Net.WebException: The underlying connection was closed: An unexpected error occurred on a send. ---> System.IO.IOException: Unable to read data from the transport connection: An existing connection was forcibly closed by the remote host. ---> System.Net.Sockets.SocketException: An existing connection was forcibly closed by the remote host

  • What is the error? – Chris Auer Sep 5 at 12:19
  • @ChrisAuer just added it, thanks for contributing.. i am part of product at Sitecore and we are getting out the answer quickly.. KB article coming soon as well.. – Phil Gainley Sitecore PM Sep 5 at 13:06
up vote 6 down vote accepted

Solutions

Existing Installations

Please unzip Sitecore package, published as release artifact here and find the patch and bin and include them within your solution

New Installations

We have upgraded the arm templates to include a wdp fix

Changes includes:

  1. ARM templates, available from top of repo https://github.com/Sitecore/Sitecore-Azure-Quickstart-Templates
  2. Sitecore package, published as release artifact here

More Information

Microsoft disabled support of TLS 1.0 on App Services recently (https://social.msdn.microsoft.com/Forums/en-US/9dace9cb-a1a8-4f77-af26-324bc2b6740e/tls-plans-for-azure-app-service?forum=windowsazurewebsitespreviewenter link description here)

Technical details can be found here: Transport Layer Security (TLS) best practices with the .NET Framework

TLDR; If you are not setting specific TLS version from the code, then you just need to check .Net version used for standalone Web Apps (not the code you install on top of Sitecore):

  1. .Net 3.5 – 4.5.2 (Sitecore 8.2.X) - Explicit setting of TLS version required. That’s how we did this for SXP.
  2. 4.6 - 4.6.2 (Sitecore 9.0-9.0.2) - Need to be tested on your solution. We haven’t found any issues with SXP.
  3. 4.7 and above - No actions required

    Please Note: This is not a problem in versions 9.x

  • 1
    And here is the kb article kb.sitecore.net/articles/688903 – Jan Bluemink Sep 6 at 7:31
  • Does .Net framework refer to what is used with the web app in Azure (portal) or the target framework in Sitecore web.config? Kindly clarify – lcv77 Sep 17 at 14:51

Your Answer

By clicking "Post Your Answer", you acknowledge that you have read our updated terms of service, privacy policy and cookie policy, and that your continued use of the website is subject to these policies.

Not the answer you're looking for? Browse other questions tagged or ask your own question.